{% extends 'super_base.html' %}

{% block body %}
  <section class="login-section">
  {% if form.errors %}
    <p>Your username and password didn't match. Please try again.</p>
  {% endif %}

  {% if next %}
    {% if user.is_authenticated %}
      <div class="alert alert-danger" role="alert">
        <p>Nie posiadasz wystarczających uprawnień do przeglądania tej strony. W celu otrzymania dostępu do jej zawartości, zaloguj się na konto z odpowiednimi uprawnieniami.</p>
      </div>
    {% else %}
      <p>Żeby zobaczyć zawartość tej strony, musisz się zalogować.</p>
    {% endif %}
  {% endif %}

  <section class="login-box">
    <form method="post" action="{% url 'login' %}">
      {% csrf_token %}
      <ul class="form-list">
        <li class="label-li"><label for="id_username">Nazwa użytkownika</label></li>
        <li class="in-li">{{form.username}}</li>
        <li class="label-li"><label for="id_password">Hasło</label></li>
        <li class="in-li">{{form.password}}</li>
        <li>Zapomniałeś hasła? <a href="{% url 'password_reset' %}">Zresetuj je.</a></p>
        <li><input type="submit" value="Zaloguj" class="btn btn-primary login-btn"/></li>
      </ul>
      <input type="hidden" name="next" value="{{ next }}" />
    </form>
  </section>
  </section>
  
{% endblock body %}